## NAME

t.topology.py - Lists temporal topology of a space time dataset.

## KEYWORDS

temporal, topology, time

## SYNOPSIS

t.topology.py
t.topology.py --help
t.topology.py [-ms] input=name [type=name] [where=sql_query] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-m
  Print temporal relationships and exit
-s
  Print spatio-temporal relationships and exit
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of the input space time dataset
type=name
  Type of the input space time dataset
  Options: strds, stvds, str3ds
  Default: strds
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework
  Example: start_time > '2001-01-01 12:30:00'

## DESCRIPTION

The module t.topology lists temporal relations of the maps in a space time dataset.

## EXAMPLE

In order to obtain information about space time dataset topology, run:

    t.topology tempmean_monthly@climate_2009_2012
     +-------------------- Basic information -------------------------------------+
     | Id: ........................ tempmean_monthly@climate_2009_2012
     | Name: ...................... tempmean_monthly
     | Mapset: .................... climate_2009_2012
     | Creator: ................... lucadelu
     | Temporal type: ............. absolute
     | Creation time: ............. 2014-11-28 10:40:55.060096
     | Modification time:.......... 2014-11-28 16:08:42.166628
     | Semantic type:.............. mean
     +-------------------- Temporal topology -------------------------------------+
     | Is subset of dataset: ...... False
     | Temporal topology is: ...... valid
     | Number of intervals: ....... 48
     | Invalid time stamps: ....... 0
     | Number of points: .......... 0
     | Number of gaps: ............ 0
     | Granularity: ............... 1 month
     +-------------------- Topological relations ---------------------------------+
     | Overlaps: .................. 0
     | Overlapped: ................ 0
     | Finishes: .................. 0
     | Started: ................... 0
     | Follows: ................... 47
     | Contains: .................. 0
     | Equal:...................... 0
     | Finished: .................. 0
     | Precedes: .................. 47
     | Starts: .................... 0
     | During: .................... 0
     +----------------------------------------------------------------------------+

## SEE ALSO

t.create, t.info

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

Last changed: $Date: 2014-12-26 23:44:16 +0100 (Fri, 26 Dec 2014) $

Main index | Temporal index | Topics index | Keywords index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.0.5 Reference Manual